<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    xmlns="http://docbook.org/ns/docbook" xmlns:db="http://docbook.org/ns/docbook">
    
    <xsl:include href="common.xsl"/>
    
    <xsl:output indent="no"/>
    
    <xsl:template match="@* | node()">
        <xsl:copy>
            <xsl:apply-templates select="@*[name(.) != 'xml:base'] | node()"/>
        </xsl:copy>
    </xsl:template>
    
    
    <xsl:template match="db:figure[db:mediaobject/db:imageobject]/db:title">
        
        <xsl:copy>
            <xsl:apply-templates select="@* | node()"/>
        </xsl:copy>

        <xsl:if test="ends-with(parent::db:figure/db:mediaobject/db:imageobject/db:imagedata/@fileref, '.fig')">
            <para>
                <uri>
                    <xsl:attribute name="xlink:href">
                        <xsl:call-template name="hdm.get.leftmost.of.separator">
                            <xsl:with-param name="path" 
                                select="parent::db:figure/db:mediaobject/db:imageobject/db:imagedata/@fileref"/>
                            <xsl:with-param name="separator" select="'.'"/>
                        </xsl:call-template>                  
                        <xsl:text>.pdf</xsl:text>
                    </xsl:attribute>
                    <xsl:text>(Animated PDF Version)</xsl:text>
                </uri>
            </para>
        </xsl:if>
        
        <xsl:if test="ends-with(parent::db:figure/db:mediaobject/db:imageobject/db:imagedata/@fileref, '.svg')">
            <para>
                <uri xlink:href="{parent::db:figure/db:mediaobject/db:imageobject/db:imagedata/@fileref}"
                    >Separate SVG image link</uri>
            </para>
        </xsl:if>
        
    </xsl:template>
    
    <xsl:template match="db:annotation[@role='slide']">
        <db:para>
            <db:link xlink:href="../Slides/{parent::db:section/@xml:id}.html">
                <xsl:text>Slide version of this section</xsl:text>
            </db:link>
        </db:para>
    </xsl:template>
    
</xsl:stylesheet>
