<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
    xmlns:xlink="http://www.w3.org/1999/xlink"  xmlns:d="http://docbook.org/ns/docbook">
    
    <xsl:import href="/usr/share/xmlmind/addon/config/docbook5/xsl/html/docbook.xsl" />
        
    <xsl:template match="/">
        <xsl:apply-templates select="//d:section[d:annotation[@role='slide']]" mode='entry'/>        
    </xsl:template>
    
    <xsl:template match="d:section" mode='entry'>
        <xsl:result-document method="xhtml" encoding="utf-8" href="Slides/{@xml:id}.html" indent="no">
            <html lang="en">
                <head>
                    <title>
                        <xsl:value-of select="d:title"/>
                    </title>
                    <link href="mi.css" rel="stylesheet" />
                    <link href="reveal.js/css/reveal.css" rel="stylesheet" />
                    <link href="reveal.js/css/theme/solarized.css" id="theme" rel="stylesheet" />
                    
                    <!-- Code syntax highlighting -->
                    <link href="reveal.js/lib/css/zenburn.css" rel="stylesheet" />
                </head>
                
                <body>
                    <!-- Wrap the entire slide show in a div using the "reveal" class. -->
                    <div class="reveal">
                        <!-- Wrap all slides in a single "slides" class -->
                        <div class="slides">
                            <section>
                                <xsl:apply-templates select="*[not(name(.)='db:section')]"/>
                            </section>
                            <xsl:apply-templates select="d:section"/>
                        </div>
                    </div>
                    
                    <script src="reveal.js/lib/js/head.min.js"></script>
                    <script src="reveal.js/js/reveal.js"></script>
                    <script>/*<![CDATA[*/
			
			Reveal.initialize({
			controls: true,
			progress: true,
			history: true,
			center: false,
			
			transition: 'slide', // none/fade/slide/convex/concave/zoom
			
			// Optional reveal.js plugins
			dependencies: [
			{ src: 'reveal.js/lib/js/classList.js', condition: function() { return !document.body.classList; } },
			{ src: 'reveal.js/plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
			{ src: 'reveal.js/plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
			{ src: 'reveal.js/plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } },
			{ src: 'reveal.js/plugin/zoom-js/zoom.js', async: true },
			{ src: 'reveal.js/plugin/notes/notes.js', async: true }
			]
			});
			/*]]>*/</script>
                </body>
            </html>
        </xsl:result-document>
    </xsl:template>
    
    <xsl:template match="d:section">
        <section>
            <xsl:apply-templates/>
        </section>
    </xsl:template>
    
    <xsl:template match="d:section/d:title">
        <h3>
            <xsl:value-of select="."/>
        </h3>
    </xsl:template>
    
</xsl:stylesheet>
